Skip to main content
PATCH
/
v2
/
spaces
/
{space_id}
Update a space
curl --request PATCH \
  --url https://api.arize.com/v2/spaces/{space_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Space Name",
  "description": "Updated space description"
}
'
{
  "id": "spc_001",
  "name": "LLM Evaluation",
  "description": "Space for evaluating LLM performance",
  "created_at": "2024-01-01T12:00:00Z"
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

space_id
string
required

The unique identifier of the space A universally unique identifier

Body

application/json

Body containing space update parameters. At least one field must be provided.

name
string

Updated name for the space (must be unique within the organization)

Maximum string length: 255
description
string

Updated description for the space. Set to an empty string to clear it.

Maximum string length: 1000

Response

A space object

A space is a container within an organization for grouping related projects, datasets, and experiments. Spaces enable team collaboration or isolated experimentation with role-based access control.

id
string
required

Unique identifier for the space

name
string
required

Name of the space

description
string
required

A brief description of the space's purpose

created_at
string<date-time>
required

Timestamp for when the space was created